GDCM: gdcm::XMLDictReader Class Reference

GDCM 3.2.11

Public Member Functions | Protected Member Functions | List of all members
gdcm::XMLDictReader Class Reference

Class for representing a XMLDictReader. More...

`#include <gdcmXMLDictReader.h>`

Inheritance diagram for gdcm::XMLDictReader:
[legend]
Collaboration diagram for gdcm::XMLDictReader:
[legend]

## Public Member Functions
| XMLDictReader ()
| ~XMLDictReader ()
void | CharacterDataHandler (const char *data, int length)
void | EndElement (const char *name)
const Dict & | GetDict ()
void | StartElement (const char *name, const char **atts)
Public Member Functions inherited from gdcm::TableReader
| TableReader (Defs &defs)
virtual | ~TableReader ()=default
const Defs & | GetDefs () const
const char * | GetFilename ()
void | HandleIOD (const char **atts)
void | HandleIODEntry (const char **atts)
void | HandleMacro (const char **atts)
void | HandleMacroEntry (const char **atts)
void | HandleMacroEntryDescription (const char **atts)
void | HandleModule (const char **atts)
void | HandleModuleEntry (const char **atts)
void | HandleModuleEntryDescription (const char **atts)
void | HandleModuleInclude (const char **atts)
int | Read ()
void | SetFilename (const char *filename)

## Protected Member Functions
void | HandleDescription (const char **atts)
void | HandleEntry (const char **atts)

## Detailed Description

Class for representing a XMLDictReader.

Note
  bla Will read the DICOMV3.xml file

## Constructor & Destructor Documentation

## ◆ XMLDictReader()

gdcm::XMLDictReader::XMLDictReader | ( |  | ) |

## ◆ ~XMLDictReader()

gdcm::XMLDictReader::~XMLDictReader | ( |  | ) |
| inline

## Member Function Documentation

## ◆ CharacterDataHandler()

void gdcm::XMLDictReader::CharacterDataHandler | ( | const char * | data,
|  | int | length )
| virtual

Reimplemented from gdcm::TableReader.

## ◆ EndElement()

void gdcm::XMLDictReader::EndElement | ( | const char * | name | ) |
| virtual

Reimplemented from gdcm::TableReader.

## ◆ GetDict()

const Dict & gdcm::XMLDictReader::GetDict | ( |  | ) |
| inline

## ◆ HandleDescription()

void gdcm::XMLDictReader::HandleDescription | ( | const char ** | atts | ) |
| protected

## ◆ HandleEntry()

void gdcm::XMLDictReader::HandleEntry | ( | const char ** | atts | ) |
| protected

## ◆ StartElement()

void gdcm::XMLDictReader::StartElement | ( | const char * | name,
|  | const char ** | atts )
| virtual

Reimplemented from gdcm::TableReader.

The documentation for this class was generated from the following file:

- gdcmXMLDictReader.h